
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>基于JavaScript实现树形下拉框_javascript技巧 / iVAN</title>

    <meta name="description" content="基于JavaScript实现树形下拉框_javascript技巧 平时会经常遇到树形结构的问题,比如显示目录结构等. 大多数情况下后台会返回这样的数据,如下: [ { id: 19, pid: 0, name: 'nodejs' }, { id: 20, pid: 19, name: 'express' }, { id: 21, pid: 19, name: 'mongodb' }, { id: 60, pid: 20, name: 'ejs' }, { id: 59, pid: 0, name: '前端开发' }, { id: 70, pid: 59, na">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">基于JavaScript实现树形下拉框_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>平时会经常遇到树形结构的问题，比如显示目录结构等。</p>
<p>大多数情况下后台会返回这样的数据，如下：</p>
<pre>
[
{ id: 19, pid: 0, name: 'nodejs' },
{ id: 20, pid: 19, name: 'express' },
{ id: 21, pid: 19, name: 'mongodb' },
{ id: 60, pid: 20, name: 'ejs' },
{ id: 59, pid: 0, name: '前端开发' },
{ id: 70, pid: 59, name: 'javascript' },
{ id: 71, pid: 59, name: 'css' },
{ id: 72, pid: 59, name: 'html' },
{ id: 73, pid: 59, name: 'bootstrap' },
{ id: 61, pid: 0, name: '视觉设计' },
{ id: 63, pid: 61, name: '网页设计' },
]
</pre>
<p>这种数据结构后台容易处理，但是前台不好处理，需要首先将其转成树形json数据，如下：</p>
<pre>
[
{ id: 19, pid: 0, name: 'nodejs',
 children:[
   { id: 20, pid: 19, name: 'express',children:[{ id: 60, pid: 20, name: 'ejs' }]},
   { id: 21, pid: 19, name: 'mongodb' }
   ]
},
{ id: 59, pid: 0, name: '前端开发',
 children:[
  { id: 70, pid: 59, name: 'javascript' },
  { id: 71, pid: 59, name: 'css' },
  { id: 72, pid: 59, name: 'html' },
  { id: 73, pid: 59, name: 'bootstrap' }
   ]
},
{ id: 61, pid: 0, name: '视觉设计',children:[{ id: 63, pid: 61, name: '网页设计' }]},
]
</pre>
<p>这样就可以很方便的是用递归构建树形的组件。</p>
<p>如果后台能够直接返回这种结构最好，不然前台需要做转换。</p>
<p><strong>一、将list数组结构的数据转成tree结构json<br /></strong></p>
<pre>
//list 转成树形json
function listToTree(list,pid) {
var ret = [];//一个存放结果的临时数组
for(var i in list) {
if(list[i].pid == pid) {//如果当前项的父id等于要查找的父id，进行递归
 list[i].children = listToTree(list, list[i].id);
 ret.push(list[i]);//把当前项保存到临时数组中
}
}
return ret;//递归结束后返回结果
}

var tree=listToTree(list,0);//调用函数，传入要转换的list数组，和树中顶级元素的pid

console.log(tree);
</pre>
<p><strong>二、根据tree结构json数据生成下拉框<br /></strong></p>
<pre>
//在网页中添加下拉框容器
&lt;select id="selectbox" name=""&gt;&lt;/select&gt;
//js脚本，递归生成
//获取容器对象
var selectbox=document.getElementById("selectbox");

//生成树下拉菜单
var j="-";//前缀符号，用于显示父子关系，这里可以使用其它符号
function creatSelectTree(d){
 var option="";
 for(var i=0;i&lt;d.length;i++){
 if(d[i].children.length){//如果有子集
  option+="&lt;option value='"+d[i].id+"'&gt;"+j+d[i].name+"&lt;/option&gt;";
 j+="-";//前缀符号加一个符号
  option+=creatSelectTree(d[i].children);//递归调用子集
 j=j.slice(0,j.length-1);//每次递归结束返回上级时，前缀符号需要减一个符号
  }else{//没有子集直接显示
  option+="&lt;option value='"+d[i].id+"'&gt;"+j+d[i].name+"&lt;/option&gt;";
  }
  }
 return option;//返回最终html结果
 }

//调用函数，并将结构出入到下拉框容器中
selectbox.innerHTML=creatSelectTree(tree);
</pre>
<p>如果大家还想深入学习，可以点击jquery下拉框效果汇总、JavaScript下拉框效果汇总进行学习。</p>
<p>以上就是本文的全部内容，希望对大家的学习有所帮助，也希望大家多多支持。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索js下拉菜单<br />
                    ，                js树形下拉框<br />
                                    js下拉框<br />
                                    easyui实现树形下拉框、js实现下拉框树形结构、树形下拉框、angularjs 树形下拉框、bootstrap 树形下拉框，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 05:48:37</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/js%e6%a0%91%e5%bd%a2%e4%b8%8b%e6%8b%89%e6%a1%86/" title="js树形下拉框">js树形下拉框</a>, <a href="https://www.iamivan.net/tag/js%e4%b8%8b%e6%8b%89%e8%8f%9c%e5%8d%95/" title="js下拉菜单">js下拉菜单</a>, <a href="https://www.iamivan.net/tag/js%e4%b8%8b%e6%8b%89%e6%a1%86/" title="js下拉框">js下拉框</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>基于JavaScript实现树形下拉框_javascript技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0ydVp.html" rel="bookmark">js&plus;csss实现的一个带复选框的下拉框&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				效果图: css: &lt;style type=&quot;text/css&quot;&gt; /* 带复选框的下拉框 */ ul li{ list-style: none; padding:0px; margin: 0px; } .select_checkBox{ border:0px solid red; position: relative; display:inline-block; } .chartQuota{ height:23px; float:left; display:inline-			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLBBxab.html" rel="bookmark">js实现可输入可选择的select下拉框&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例为大家分享了可输入可选择的select下拉框,供大家参考,具体内容如下 1.原理: 1.1将input输入框和select框合并在一起,但是显示出向下点击的按钮: 这种比较容易做到 1.2出现输入值能够自动匹配的功能 动态的加载一个临时的div出现在该input下方,当点击页面中的空白地方,div隐藏. 1.3代码: &lt;!doctype html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgPPlmp.html" rel="bookmark">js 自定义的联动下拉框&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				觉得这个下拉框已经稍微能满足美观需求了,   这个是点出来的效果,写了键盘的方向键,回车,esc等 事件, 并且能根据页面的底部距离判断是否向上展示 今天弄了个联动的,顺便贴部分代码 效果预览:    以下代码解决了ie6的兼容问题 复制代码 代码如下: $containerDivText.mousedown(function() { setTimeout( function() { if ($newUl[0].style.display == 'block') { $newUl.hide();			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn44grb.html" rel="bookmark">基于js实现二级下拉联动&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例为大家分享了js下拉联动的具体代码,供大家参考,具体内容如下 &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd&quot;&gt; &lt;html xmlns=&quot;http://www.w3.org/1999/xhtml&quot;&gt; &lt;head&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkmEa5b.html" rel="bookmark">js和jquery分别验证单选框、复选框、下拉框&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文分别介绍了js和jQuery验证单选框(radio).多选框(checkbox).下拉框(select),分享给大家供大家参考,具体内容如下(1).首先说单选框(radio),radio和checkbox一样都是name相同值有多个在获取 radio 值的时候我们不能按照普通文本框.value的方式,而是要判断哪个被选中了. js验证是要用getElementsByName()获取数组js代码如下: &lt;script&gt; function test(){ var sex = document.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4J9PqM.html" rel="bookmark">Google Suggest &semi;-&rpar; 基于js的动态下拉菜单&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基本的原理是在当前窗口创建了一个iframe,然后将相关关键词的提示列表在iframe中,并通过列表点选将选定项放到搜索框中.能这么快的能将所有相关关键词的检索数列出,看来所有的提示词已经提前进行了预搜索和数量记录.试了一下&quot;sex&quot;,没有相关检索提示,看来对搜索词进行了严格的色情过滤. 另外:这一动态列表功能也应用在GMail的地址栏自动输入完成中,如图:Google自动完成的源代码如下: // Copyright 2004 and onwards Google Inc. var w			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNJWLmM.html" rel="bookmark">js 动态选中下拉框&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				for(var j=0;j&lt;document.getElementById(&quot;Select&quot;+rowID).options.length;j++) { if(document.getElementById(&quot;Select&quot;+rowID).options[j].text==value[5]) index=j; } if(index&gt;=0) document.getElementById(&quot;Select&quot;+rowID).options[i			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlAAeOp.html" rel="bookmark">javascript中select下拉框的用法总结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文针对开发项目中遇到的问题,进行了汇总问题1:如何选择select的option里面的值? 首先会用到一个方法 onchange():这个方法主要用于触发,选择框内容改变时间 实现代码: &lt;!doctype html&gt; &lt;html&gt; &lt;head lang=&quot;en&quot;&gt; &lt;meta charset=&quot;UTF-8&quot;&gt; &lt;/head&gt; &lt;body&gt; &lt;select onchange=&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQW4nrp.html" rel="bookmark">JavaScript实现单击下拉框选择直接跳转页面的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JavaScript实现单击下拉框选择直接跳转页面的方法.分享给大家供大家参考.具体实现方法如下: &lt;script type=&quot;text/JavaScript&quot;&gt; &lt;!-- function MM_jumpMenu(targ,selObj,restore){ //v3.0 eval(targ+&quot;.location='&quot;+selObj.options[selObj.selectedIndex].value+&quot;'&quot;);			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpn5KMG.html" rel="bookmark" class="title">iOS8新特性扩展&lpar;Extension&rpar;应用之四&mdash;&mdash;自定义键盘控件</a>
					<div>
						iOS8新特性扩展(Extension)应用之四--自定义键盘控件         iOS8系统的开放第三方键盘,使得用户在输入法的选择上更加自主灵活,也更加贴近不同语言的输入风格.这篇博客,将介绍如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPlvZp.html" rel="bookmark" class="title">用户登录-不同类型用户跳转不同界面C&num;</a>
					<div>
						问题描述 不同类型用户跳转不同界面C# 将用户输入的用户名,密码,用户类型与数据库里的对比,对比成功后根据用户类型跳转到不同界面 如何用c#代码实现 解决方案 条件判断下,然后转入相对应的界面 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVL0KM.html" rel="bookmark" class="title">&amp;amp&semi;&num;106avascript gb2312转utf-8</a>
					<div>
						汉字标准交换码共分两级.第一级为常用字,有3755字,按汉语拼音字母顺序排列,第二级为次常用字,有3008字,按部首排列.GB2312的编码范围为2121H-777EH. UNICODE 是两字节的全 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPdOZp.html" rel="bookmark" class="title">Flash中用键盘控制影片剪辑的两种方法</a>
					<div>
						控制 今天给大家说一下在Flash中利用键盘控制物体移动的两种方法,分别是利用Flash Actionscript中的updateAfterEvent和onEnterFrame来实现的. 查看效果时, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMglDEp.html" rel="bookmark" class="title">360搜索是否侵权尚有待考证</a>
					<div>
						8月16号,360推出了自己的综合搜索引擎,其凭借终端浏览器迅速占领了相当一部分的搜索市场份额,其在搜索流量上的表现一度被大家称为第二大搜索引擎.但是,我们如果留心观察360综合搜索的搜索结果,可以明 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7rX5p.html" rel="bookmark" class="title">Oracle Provider for &period;NET扩展了ADO&period;NET（ZT）</a>
					<div>
						ado|oracle Oracle提供了许多工具帮你从.NET应用程序访问Oracle数据库.by Lee Thé George Demarest  大于三分之一的Visual Studio Maga ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMl55Vp.html" rel="bookmark" class="title">Windows 8开发入门（四） Windows 8的常用鼠标事件</a>
					<div>
						在Windows 8中采用一些新的鼠标事件以替代以前Silverlight的鼠标事件,其常用事件如下: PointerWheelChanged:鼠标中键滑动事件. PointerPressed:鼠标点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlR01nz.html" rel="bookmark" class="title">应用程序框架设计&lpar;3&rpar;：RuntimeClass与序列化</a>
					<div>
						SW系统的根是SObject,顾名思义是对普遍意义上的对象的抽象.其主要的支持有: 运行时刻类信息(RuntimeClass) 运行时刻类信息是经典程序结构中一个极其重要的部分.MFC.VCL.OWL ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1yLqz.html" rel="bookmark" class="title">ps怎么去掉眼镜绿色反光&quest;</a>
					<div>
						ps怎么去掉眼镜绿色反光?   1.打开原图,Ctrl+J复制并进入绿色通道,ctrl+A全选和ctrl+c粘贴,进入蓝通道,ctrl+v粘贴 2.回到图层面板,把背景副本图层模式改变颜色 3.复制多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKv2mM.html" rel="bookmark" class="title">Word2013中输入编号的操作方法</a>
					<div>
						  Word2013中输入编号的操作方法           方法1:打开Word2013文档窗口,在&quot;开始&quot;功能区的&quot;段落&quot;分组中单击&quot;编号&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlREAaz.html" rel="bookmark" class="title">WAP飞信如何重命名好友分组</a>
					<div>
						当联系人列表显示方式是&quot;分组&quot;的时候,点击好友组下面的&quot;分组管理&quot;链接,进入分组管理页面,找到要重命名的组,点击组名后面的&quot;重命名&quot;链接,进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLnd8b.html" rel="bookmark" class="title">怎样让windows8&period;1系统退回到win8</a>
					<div>
						  很多时候,其实这种升级更新都是咱们Windows系统自动完成的,用户可能自己都不知道,没办法,为了让咱们的Windows系统更加完善,为了让咱们的Windows系统可以及时下载安装一些最新的程序驱 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EGRgM.html" rel="bookmark" class="title">MAC系统Apple ID停用问题如何解决？</a>
					<div>
						  一些MAC用户发现自己的Apple ID被停用了,这个问题该怎么解决呢?现在小编就给大家分析一下这个问题出现的原因及其解决的方法. 受影响的产品包括Aperture 2.X, MobileMe,  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZP9Zb.html" rel="bookmark" class="title">脏读、不可重复读、幻读</a>
					<div>
						锁就是防止其他事务访问指定的资源的手段.锁是实现并发控制的主要方法,是多个用户能够同时操纵同一个数据库中的数据而不发生数据不一致现象的重要保障.一般来说,锁可以防止脏读.不可重复读和幻觉读.   事务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwxxBb.html" rel="bookmark" class="title">Python连接DB2操作的一个小例子</a>
					<div>
						QQ交流群:127591054 作者:JackChiang 作者QQ:595696297 Python版本3.5 这个小项目,是解决数据库查看的时候一些错误的,查看.每天都会跑数据,但是第一天的数据和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWkjQb.html" rel="bookmark" class="title">黑客借微信大规模盗号</a>
					<div>
						 瑞星昨日发布安全提示称,黑客集团已开始针对微信用户发起大规模盗号行动,主要通过伪造的空间页面盗取用户的QQ账号及密码,用户需提高警惕预防该类情况发生.     近来,不少网友收到了来自微信好友发来的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQ788z.html" rel="bookmark" class="title">JS判断客户端是手机还是PC的2个代码&lowbar;javascript技巧</a>
					<div>
						1.第一种: 复制代码 代码如下: function IsPC() {    var userAgentInfo = navigator.userAgent;    var Agents = [&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NeoJM.html" rel="bookmark" class="title">数据结构 二叉树-我写的树的括号表示法哪错了，怎么改，求大神解答</a>
					<div>
						问题描述 我写的树的括号表示法哪错了,怎么改,求大神解答 #include #include #include using namespace std; struct treenode { char  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QZZDp.html" rel="bookmark" class="title">Android性能优化典范（一）</a>
					<div>
						2015年伊始,Google发布了关于Android性能优化典范的专题,一共16个短视频,每个3-5分钟,帮助开发者创建更快更优秀的Android App.课程专题不仅仅介绍了Android系统中有关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgBZ5b.html" rel="bookmark" class="title">xfire-求大神解答这是在哪个包下的类</a>
					<div>
						问题描述 求大神解答这是在哪个包下的类 ttpURLConnection httpConnection = (HttpURLConnection)url.openConnection(); httpC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZQ1dp.html" rel="bookmark" class="title">c语言-关于链栈头指针的问题</a>
					<div>
						问题描述 关于链栈头指针的问题 以上为链栈程序(无错),但为什么不能将直接用struct node 定义一个top指针,而要用一个结构体里面放top指针.如果直接用struct node 定义一个to ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmn0vM.html" rel="bookmark" class="title">数据传输-安卓控制闪光灯频闪发送信号问题</a>
					<div>
						问题描述 安卓控制闪光灯频闪发送信号问题 最近在研究一个东西,尝试通过手机闪光灯的高速频闪来传递比特串,然而现在的控制方法是通过调用安卓的Camera类来实现,频闪的速度非常慢,根本无法达到相应的要求 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQB96WM.html" rel="bookmark" class="title">android电源添加重启项</a>
					<div>
						首先找到按电源弹出的选项的源文件,也就是freamwork/base/policy/src/com/android/internal/policy/impl/GlobalActions.java 再找 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRqAYp.html" rel="bookmark" class="title">ubuntu改变你的中文man乱码</a>
					<div>
						man 命令提供有关主题的参考信息,例如命令.子例程和文件.man 命令提供由名称指定的对命令的单行描述.man 命令也提供所有命令的信息,这些命令的描述包含用户指定的关键字集合. man 命令格式化 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKZQab.html" rel="bookmark" class="title">c&num;循环File&period;Copy 长时间运行后电脑蓝屏</a>
					<div>
						问题描述 c#循环File.Copy 长时间运行后电脑蓝屏 While(True){ var sourthPath=&quot;&quot;;//获取原路径 if(File.Exists(sourth ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7W95M.html" rel="bookmark" class="title">传言或许不真实请认真看待</a>
					<div>
						日前,新华都的公司总裁唐骏的学历被指涉嫌造假,这个事件引起了广泛的关注.6日,唐骏在接受采访时称,他从未说过他是加州理工大学的博士的事实,他的博士学位其实是在位于加州的西太平洋大学所获得的,并表示&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RV6az.html" rel="bookmark" class="title">lucene 6&period;0 常用类与方法</a>
					<div>
						1.目录 org.apache.lucene.store.Directory 指定索引所在目录. org.apache.lucene.store.RAMDirectory  存放于内存中的目录. or ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5R7X6z.html" rel="bookmark" class="title">程序员技术参考书哪个系列的最好用</a>
					<div>
						问题描述 各位前辈大家好:我作为一名初级java程序员,想让自己更上一层楼,想买的用参考书,但是参考书有很多系列,不知道哪个系列的参考书最好用?请各位前辈指点迷津 解决方案 解决方案二:说说基本我看过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0r0vp.html" rel="bookmark" class="title">SplashScreenDemo</a>
					<div>
						对Java应用最常见的抱怨就是启动时间太长.这是因为Java虚拟机花费一段时间去加载所有必需的类,特别是对Swing应用,它们需要从Swing和AWT类库代码中去抽取大量的内容. 用户并不喜欢应用程序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5wKap.html" rel="bookmark" class="title">发布webservice--axis</a>
					<div>
						[java] view plaincopyprint? package mule.webservice.service;  import javax.jws.WebParam;  import jav ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
